#
## Header: General Commands ##
# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# high quality surfaces
set surface_quality, 3
## End of Header: General Commands ##
#-------last line in copy---------------------------------
#
#
# 	Loren Williams, Georgia Tech
# 	pymol script for Myosin
#
# 1FMW.pdb =  Post-rigor / Near-rigor / open state (repriming)
# 1VOM.pdb = Pre-powerstroke / transition-state / closed state:
# 1W8J.pdb = Rigor-like state:


load files/1FMW.pdb, pre_power
load files/1VOM.pdb, closed
load files/1W8J.pdb, rigor
remove (chain B or chain C or chain D) and rigor
remove resn hoh

cealign rigor, closed
cealign rigor, pre_power 

hide everything, *
show cartoon, *
set cartoon_cylindrical_helices,1

show stick, atp_mg_pre_power
show nb_spheres, atp_mg_pre_power

-------------Pre Power
create atp_mg_pre_power, (resi 800+999) and pre_power
h_add atp_mg_pre_power

You clicked /pre_power//A/MG`800/MG


hide everything, atp_mg_pre_power
show sticks, atp_mg_pre_power
show nb_spheres, atp_mg_pre_power and resi 800
remove /atp_mg_pre_power//A/ATP`999/H09
create pocket_pre_power, byres(pre_power within 4 of atp_mg_pre_power)
remove (pocket_pre_power within .1 of atp_mg_pre_power)
h_add pocket_pre_power
color red, name O* and pocket_pre_power
color cyan, name C* and pocket_pre_power
color blue, name N* and pocket_pre_power
color yellow, name P* and pocket_pre_power
color yellow, name S* and pocket_pre_power 
color cyan, pre_power


hide everything, pocket_pre_power
show sticks, pocket_pre_power

distance hbond1, (atp_mg_pre_power and (name N* or name O*)), (pocket_pre_power and name H*), 2.4
distance hbond1, (atp_mg_pre_power and name H*), (pocket_pre_power and (name N* or name O*)), 2.3
distance hbond1, (atp_mg_pre_power and resi 999), (atp_mg_pre_power and resi 800), 2.4
distance hbond1, (atp_mg_pre_power and resi 800), (pocket_pre_power and (name O*)), 2.4

You clicked /pocket_pre_power//A/THR`186/OG1



# set the font of object dist_object
set label_font_id=-5, hbond1
# set the dash width
set dash_width=4.5, hbond1
# set the color
color black, hbond1



--------------Closed

create ADP_Pi_closed, (resn adp or resn VO4 or resn Mg) and closed
h_add ADP_Pi_closed
remove /ADP_Pi_closed//A/VO4`998/H0*
hide everything, ADP_Pi_closed
show sticks, ADP_Pi_closed
show nb_spheres, ADP_Pi_closed and resn MG
color yellow, name V* and ADP_Pi_closed
remove /atp_mg_pre_power//A/ATP`999/H09
create pocket_closed, byres(closed within 4 of ADP_Pi_closed)
remove (pocket_closed within .1 of ADP_Pi_closed)
h_add pocket_closed
color red, name O* and pocket_closed
color gray60, name C* and pocket_closed
color blue, name N* and pocket_closed
color yellow, name P* and pocket_closed
color yellow, name S* and pocket_closed
color gray90, closed



hide everything, pocket_closed
show sticks, pocket_closed

distance hbond2, (ADP_Pi_closed and (name N* or name O*)), (pocket_closed and name H*), 2.4
distance hbond2, (ADP_Pi_closed and name H*), (pocket_closed and (name N* or name O*)), 2.3
distance hbond2, (ADP_Pi_closed and name O*), (ADP_Pi_closed and resn Mg), 2.4
distance hbond2, (pocket_closed and name O*), (ADP_Pi_closed and resn Mg), 2.4


# set the font of object dist_object
set label_font_id=-5, hbond2
# set the dash width
set dash_width=4.5, hbond2
# set the color
color black, hbond2



-------------rigor

create pocket_rigor, byres(closed within 4 of ADP_Pi_closed)
remove (pocket_rigor within .1 of ADP_Pi_closed)
h_add pocket_rigor
color red, name O* and pocket_rigor
color palegreen, name C* and pocket_rigor
color blue, name N* and pocket_rigor
color yellow, name P* and pocket_rigor
color yellow, name S* and pocket_rigor
color palegreen, rigor

hide everything, pocket_rigor
show sticks, pocket_rigor


disable all
enable rigor
enable closed
enable pre_power



set_view (\
     0.391079634,   -0.432723701,    0.812284708,\
    -0.777452409,    0.317025095,    0.543194950,\
    -0.492569268,   -0.843945742,   -0.212440088,\
     0.000000000,    0.000000000, -269.913085938,\
    29.003471375,   -0.244739532,   58.146015167,\
   212.801528931,  327.024627686,  -20.000000000 )

